"use strict";
const path = require("path");
const mem = require("mem");
const loadJsonFile = require("load-json-file");
const cachedReadPkg = mem(loadJsonFile);
/**
 * Works identically to require('/path/to/file.json'), but safer.
 */
function requireJson(pkgJsonPath) {
    pkgJsonPath = path.resolve(pkgJsonPath);
    return cachedReadPkg(pkgJsonPath);
}
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = requireJson;
exports.ignoreCache = loadJsonFile;
//# sourceMappingURL=requireJson.js.map