export default function linkAllBins(modules: string, preserveSymlinks: boolean): Promise<void[]>;
/**
 * Links executable into `node_modules/.bin`.
 *
 * @param {String} modules - the node_modules path
 * @param {String} target - where the module is now; read package.json from here
 *
 * @example
 *     module = 'project/node_modules'
 *     target = 'project/node_modules/.store/rimraf@2.5.1'
 *     linkPkgBins(module, target)
 *
 *     // node_modules/.bin/rimraf -> ../.store/rimraf@2.5.1/cmd.js
 */
export declare function linkPkgBins(modules: string, target: string, preserveSymlinks: boolean): Promise<void>;
